Package hdf.hdflib

# Class HDFNativeData

java.lang.Object
hdf.hdflib.HDFNativeData

public class HDFNativeData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HDFNativeData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte[]`
  `byteToByte​(byte data)`
  `static double[]`
  `byteToDouble​(byte[] data)`
  `static double`
  `byteToDouble​(byte[] data, int start)`
  `static double[]`
  `byteToDouble​(int start, int len, byte[] data)`
  `static float[]`
  `byteToFloat​(byte[] data)`
  `static float`
  `byteToFloat​(byte[] data, int start)`
  `static float[]`
  `byteToFloat​(int start, int len, byte[] data)`
  `static int[]`
  `byteToInt​(byte[] data)`
  `static int`
  `byteToInt​(byte[] data, int start)`
  `static int[]`
  `byteToInt​(int start, int len, byte[] data)`
  `static long[]`
  `byteToLong​(byte[] data)`
  `static long`
  `byteToLong​(byte[] data, int start)`
  `static long[]`
  `byteToLong​(int start, int len, byte[] data)`
  `Object`
  `byteToNumber​(byte[] barray, Object obj)`
  `static short[]`
  `byteToShort​(byte[] data)`
  `static short`
  `byteToShort​(byte[] data, int start)`
  `static short[]`
  `byteToShort​(int start, int len, byte[] data)`
  `static Object`
  `defineDataObject​(int dataType, int datasize)`
  Allocate a 1D array large enough to hold a multidimensional array of 'datasize' elements of 'dataType' numbers.
  `static byte[]`
  `doubleToByte​(double data)`
  `static byte[]`
  `doubleToByte​(int start, int len, double[] data)`
  `static byte[]`
  `floatToByte​(float data)`
  `static byte[]`
  `floatToByte​(int start, int len, float[] data)`
  `static byte[]`
  `intToByte​(int data)`
  `static byte[]`
  `intToByte​(int start, int len, int[] data)`
  `static byte[]`
  `longToByte​(int start, int len, long[] data)`
  `static byte[]`
  `longToByte​(long data)`
  `static byte[]`
  `shortToByte​(int start, int len, short[] data)`
  `static byte[]`
  `shortToByte​(short data)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HDFNativeData

    public HDFNativeData()

- ## Method Details

  - ### byteToInt

    public static int[] byteToInt​(byte[] data)

  - ### byteToFloat

    public static float[] byteToFloat​(byte[] data)

  - ### byteToShort

    public static short[] byteToShort​(byte[] data)

  - ### byteToLong

    public static long[] byteToLong​(byte[] data)

  - ### byteToDouble

    public static double[] byteToDouble​(byte[] data)

  - ### byteToInt

    public static int[] byteToInt​(int start, int len, byte[] data)

  - ### byteToInt

    public static int byteToInt​(byte[] data, int start)

  - ### byteToShort

    public static short[] byteToShort​(int start, int len, byte[] data)

  - ### byteToShort

    public static short byteToShort​(byte[] data, int start)

  - ### byteToFloat

    public static float[] byteToFloat​(int start, int len, byte[] data)

  - ### byteToFloat

    public static float byteToFloat​(byte[] data, int start)

  - ### byteToLong

    public static long[] byteToLong​(int start, int len, byte[] data)

  - ### byteToLong

    public static long byteToLong​(byte[] data, int start)

  - ### byteToDouble

    public static double[] byteToDouble​(int start, int len, byte[] data)

  - ### byteToDouble

    public static double byteToDouble​(byte[] data, int start)

  - ### intToByte

    public static byte[] intToByte​(int start, int len, int[] data)

  - ### shortToByte

    public static byte[] shortToByte​(int start, int len, short[] data)

  - ### floatToByte

    public static byte[] floatToByte​(int start, int len, float[] data)

  - ### longToByte

    public static byte[] longToByte​(int start, int len, long[] data)

  - ### doubleToByte

    public static byte[] doubleToByte​(int start, int len, double[] data)

  - ### byteToByte

    public static byte[] byteToByte​(byte data)

  - ### intToByte

    public static byte[] intToByte​(int data)

  - ### shortToByte

    public static byte[] shortToByte​(short data)

  - ### floatToByte

    public static byte[] floatToByte​(float data)

  - ### longToByte

    public static byte[] longToByte​(long data)

  - ### doubleToByte

    public static byte[] doubleToByte​(double data)

  - ### byteToNumber

    public Object byteToNumber​(byte[] barray, Object obj) throws HDFException
    Throws:
      `HDFException`

  - ### defineDataObject

    public static Object defineDataObject​(int dataType, int datasize)
    Allocate a 1D array large enough to hold a multidimensional array of 'datasize' elements of 'dataType' numbers. This is called from hdf.hdfobject.HDFGR and hdf.hdfobject.HDFSDS, and hdf.io.ASCII2HDF
    Parameters:
      `dataType` - the type of the iamge data
      `datasize` - the size of the image data array
    Returns:
      an array of 'datasize' numbers of 'dataType